<?php
require_once 'ApiGlobalFunctions.php';

$usuario=$_POST['uid'];
$password=$_POST['key'];
$url=$_POST['url'];
$bodega=$_POST['wID'];

$include=includec($url);
include $include;

$validate=loginkey($usuario,$password,$url);
if($validate==1){
    $catinv=diccionario($url,'CatInventario'); 
    mysqli_set_charset($link, "utf8");
    $query=mysqli_query($link, "SELECT createdtime,inventario_tks_nombre,vtiger_inventario.inventarioid,inventario_tks_estado,inventario_tks_descripcion, concat(first_name,' ',last_name) as asignado,inventario_tks_tipo, ".$catinv." as categoria 
    FROM vtiger_inventario 
    INNER JOIN vtiger_crmentity ON vtiger_crmentity.crmid=vtiger_inventario.inventarioid 
    INNER JOIN vtiger_users ON vtiger_users.id=vtiger_crmentity.smownerid 
    INNER JOIN vtiger_inventariocf ON vtiger_inventariocf.inventarioid=vtiger_inventario.inventarioid
    INNER JOIN rel_inventario ON rel_inventario.inventarioid=vtiger_inventario.inventarioid
    WHERE vtiger_crmentity.deleted='0' AND inventario_tks_estado='Abierto' AND inventario_tks_bodega='$bodega' AND asignado='$usuario'
    GROUP BY vtiger_inventario.inventarioid;");
    $num=mysqli_num_rows($query);    
	$z=0;                      
	if($num>0){
        while($row = mysqli_fetch_array($query)) {           
            $fecha=explode(" ",$row['createdtime']);
            $fecha=$fecha[0];      
            $nombre=$row['inventario_tks_nombre'];
            $invid=$row['inventarioid'];
            $estado=$row['inventario_tks_estado'];
            $mensaje=$row['inventario_tks_descripcion'];
            $asignado=$row['asignado'];
            $catInventario=$row['categoria'];
            $tipo=$row['inventario_tks_tipo'];
            $docs[$z]=array('FechaInv'=>$fecha,'NombreInv'=>$nombre,'InventarioID'=>$invid,'Estado'=>$estado,'Mensaje'=>$mensaje,'AsignadoA'=>$asignado,'Categoria'=>$catInventario,'Tipo'=>$tipo);
            $z++;            
        }
	}
	if(empty($docs)){
	    $docs[0]=array('FechaInv'=>'','NombreInv'=>'','InventarioID'=>'','Estado'=>'','Mensaje'=>'','AsignadoA'=>'','Categoria'=>'','Tipo'=>'');
	}
    echo json_encode(setDataJSON($docs,1));
}
